Skip to content

Activity Logs

All operations require authentication.

7 operationsv1/me/api
Agent setup

List available log kindsProduction

GET
/1.0/me/api/log/kind

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/api/log/kind \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a log kindProduction

GET
/1.0/me/api/log/kind/{name}

Path parameters

name
required
string

Name

Response

200LogKindsuccessful operation
additionalReturnedFields
read-only
string[]

List of additional log fields managed in this log kind

createdAt
read-only
stringdate-time

Creation date of the log kind

displayName
read-only
string

Log kind display name

kindId
read-only
stringuuid

Log kind ID

name
read-only
string

Log kind name

updatedAt
read-only
stringdate-time

Last update date of the log kind

Example uses name = string

$ curl https://api.eu.ovhcloud.com/1.0/me/api/log/kind/{name} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "additionalReturnedFields": [ "string" ], "createdAt": "2024-01-01T12:00:00Z", "displayName": "string", "kindId": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}

List subscription IDs for a clusterProduction

GET
/1.0/me/api/log/subscription

Query parameters

kind
string

Filter on a specific kind (e.g., audit)

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/api/log/subscription \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

Create a subscription from logs to a pre-existing LDP streamProduction

POST
/1.0/me/api/log/subscription

Request body (required)

kind
required
string

Log kind name to subscribe to

streamId
required
stringuuid

Customer log stream ID

Response

200LogSubscriptionResponsesuccessful operation
operationId
read-only
stringuuid

Identifier of the operation

serviceName
read-only
string

Operation owner's service name

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/api/log/subscription \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}

Get subscription detailsProduction

GET
/1.0/me/api/log/subscription/{subscriptionId}

Path parameters

subscriptionId
required
stringuuid

Subscription ID

Response

200LogSubscriptionsuccessful operation
createdAt
read-only
stringdate-time

Creation date of the subscription

kind
read-only
string

Log kind name of this subscription

resource
read-only
SubscriptionResource

Subscribed resource, where the logs come from

serviceName
read-only
string

Name of the destination log service

streamId
read-only
string

Id of the destination log stream

subscriptionId
read-only
stringuuid

Subscription ID

updatedAt
read-only
stringdate-time

Last update date of the subscription

Example uses subscriptionId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/me/api/log/subscription/{subscriptionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "resource": { "name": "string", "type": "string" }, "serviceName": "string", "streamId": "string", "subscriptionId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Delete a subscriptionProduction

DELETE
/1.0/me/api/log/subscription/{subscriptionId}

Path parameters

subscriptionId
required
stringuuid

Subscription ID

Response

200LogSubscriptionResponsesuccessful operation
operationId
read-only
stringuuid

Identifier of the operation

serviceName
read-only
string

Operation owner's service name

Example uses subscriptionId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/me/api/log/subscription/{subscriptionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}

Generate a temporary URL to retrieve logsProduction

POST
/1.0/me/api/log/url

Request body (required)

kind
required
string

Log kind name

Response

200TemporaryLogsLinksuccessful operation
expirationDate
read-only
stringdate-time

Temporary url expiration date

url
read-only
string

Temporary url

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/api/log/url \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}